#!/bin/sh

libs=Libs
here="${0%/*}"  # or you can use `dirname "$0""`

#gvfs-set-attribute is deprecated from 18.04
change_version="18.04"
os_ver=`lsb_release -rs`
#echo $os_ver

cmnd=""
if [ "$os_ver" \< "$change_version" ]
then
cmnd="gvfs-set-attribute"
else
cmnd="gio set"
fi

#echo $cmnd

$cmnd iclicker.exe 'metadata::custom-icon' 'file:"//$here/iclicker.png"'
$cmnd "$here/$libs/iclicker" 'metadata::custom-icon' 'file:"//$here/iclicker.png"'

#Launch iclicker
LD_LIBRARY_PATH="$here"/$libs:"$here"/$libs/"platforms":"$LD_LIBRARY_PATH"
export LD_LIBRARY_PATH

nohup "$here/$libs/iclicker" "$@" > /dev/null &
sleep 1
